Change log for axis package in Ubuntu

132 of 32 results
Published in disco-release on 2018-12-03
Deleted in disco-proposed (Reason: moved to release)
axis (1.4-28) unstable; urgency=medium

  * Fixed the build failure with Java 11 (Closes: #911187)
  * Fixed CVE-2018-8032: Cross-site scripting (XSS) attack in the default
    servlet/services (Closes: #905328)
  * Fixed the generation of the javadoc
  * Standards-Version updated to 4.2.1

 -- Emmanuel Bourg <email address hidden>  Mon, 03 Dec 2018 08:25:51 +0100

Available diffs

Superseded in disco-release on 2018-12-03
Published in cosmic-release on 2018-06-09
Deleted in cosmic-proposed (Reason: moved to release)
axis (1.4-27) unstable; urgency=medium

  * Team upload.
  * Install the jar files in /usr/share/java (Closes: #901058)

 -- Emmanuel Bourg <email address hidden>  Fri, 08 Jun 2018 23:22:28 +0200

Available diffs

Superseded in cosmic-proposed on 2018-06-09
axis (1.4-26) unstable; urgency=medium

  * Team upload.

  [ Markus Koschany ]
  * Fix FTBFS with Java 9. (Closes: #893098)

  [ Emmanuel Bourg ]
  * Removed Damien Raude-Morvan from the uploaders (Closes: #889464)
  * Build with the DH sequencer instead of CDBS
  * Standards-Version updated to 4.1.4
  * Switch to debhelper level 11
  * Use salsa.debian.org Vcs-* URLs

 -- Emmanuel Bourg <email address hidden>  Thu, 07 Jun 2018 13:58:57 +0200
Superseded in cosmic-release on 2018-06-09
Published in bionic-release on 2017-10-24
Published in artful-release on 2017-04-20
Obsolete in zesty-release on 2018-06-22
Deleted in zesty-proposed (Reason: moved to release)
axis (1.4-25) unstable; urgency=medium

  * Fixed the build failure with Ant 1.9.8 (Closes: #851030)
  * Moved the package to Git
  * Standards-Version updated to 3.9.8
  * Switch to debhelper level 10

 -- Emmanuel Bourg <email address hidden>  Thu, 12 Jan 2017 18:28:23 +0100

Available diffs

Superseded in zesty-release on 2017-01-13
Obsolete in yakkety-release on 2018-01-23
Published in xenial-release on 2016-01-16
Deleted in xenial-proposed (Reason: moved to release)
axis (1.4-24) unstable; urgency=medium

  * Team upload.
  * Restored the missing Export-Package attributes

 -- Emmanuel Bourg <email address hidden>  Fri, 15 Jan 2016 22:33:32 +0100

Available diffs

Superseded in xenial-release on 2016-01-16
Deleted in xenial-proposed on 2016-01-17 (Reason: moved to release)
axis (1.4-23) unstable; urgency=medium

  * Team upload.
  * Transition to bnd 2.1.0.
  * Vcs-Browser: Use https.
  * wrap-and-sort -sa.

 -- Markus Koschany <email address hidden>  Tue, 17 Nov 2015 16:53:49 +0100

Available diffs

Superseded in xenial-release on 2015-11-17
Obsolete in wily-release on 2018-01-22
Obsolete in vivid-release on 2018-01-18
Deleted in vivid-proposed on 2018-01-22 (Reason: moved to release)
axis (1.4-22) unstable; urgency=medium


  * Updated the dependency on the Servlet API (3.0 -> 3.1)
  * libaxis-java no longer depends on the Servlet API since it's always
    provided by the web container executing Axis.
  * Replaced the dependency on libgnumail-java with libmail-java

 -- Emmanuel Bourg <email address hidden>  Fri, 17 Oct 2014 13:23:45 +0200

Available diffs

Superseded in vivid-release on 2014-10-26
Obsolete in utopic-release on 2016-11-03
Deleted in utopic-proposed on 2016-11-03 (Reason: moved to release)
axis (1.4-21) unstable; urgency=high


  * Team upload.
  * Fix CVE-2014-3596.
    - Replace 06-fix-CVE-2012-5784.patch with CVE-2014-3596.patch which fixes
      both CVE issues. Thanks to Raphael Hertzog for the report.
    - The getCN function in Apache Axis 1.4 and earlier does not properly
      verify that the server hostname matches a domain name in the subject's
      Common Name (CN) or subjectAltName field of the X.509 certificate,
      which allows man-in-the-middle attackers to spoof SSL servers via a
      certificate with a subject that specifies a common name in a field
      that is not the CN field.  NOTE: this issue exists because of an
      incomplete fix for CVE-2012-5784.
    - (Closes: #762444)
  * Declare compliance with Debian Policy 3.9.6.
  * Use compat level 9 and require debhelper >=9.
  * Use canonical VCS fields.

 -- Markus Koschany <email address hidden>  Thu, 25 Sep 2014 19:45:08 +0000
Superseded in utopic-release on 2014-10-07
Published in trusty-release on 2014-03-25
Deleted in trusty-proposed (Reason: moved to release)
axis (1.4-20ubuntu3) trusty; urgency=medium

  * Revert: d/control,rules: Drop use of bnd to generate OSGi headers.
    Package is in universe again.
 -- Matthias Klose <email address hidden>   Tue, 25 Mar 2014 15:01:16 +0100

Available diffs

Superseded in trusty-release on 2014-03-25
Deleted in trusty-proposed on 2014-03-26 (Reason: moved to release)
axis (1.4-20ubuntu2) trusty; urgency=medium

  * d/control,rules,libaxis-java.manifest: Add missing OSGi data to manifests
    for axis jar files using javahelper (LP: #894302).
 -- James Page <email address hidden>   Tue, 04 Mar 2014 11:00:06 +0000

Available diffs

Superseded in trusty-release on 2014-03-04
Superseded in trusty-release on 2013-11-14
Obsolete in saucy-release on 2015-04-24
Deleted in saucy-proposed on 2015-04-28 (Reason: moved to release)
axis (1.4-20ubuntu1) saucy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/control,rules: Drop use of bnd to generate OSGi headers as
      its not in main.
  * Dropped changes (now in Debian):
    - Transition libservlet2.5-java -> libservlet3.0-java.

Available diffs

Superseded in saucy-release on 2013-06-03
Deleted in saucy-proposed on 2013-06-04 (Reason: moved to release)
axis (1.4-19ubuntu1) saucy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Transition libservlet2.5-java -> libservlet3.0-java.
  * d/control,rules: Drop use of bnd to generate OSGi headers as its not
    in main.

Available diffs

Superseded in saucy-release on 2013-05-16
Obsolete in raring-release on 2015-04-24
Deleted in raring-proposed on 2015-04-27 (Reason: moved to release)
axis (1.4-16.2ubuntu1) raring; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Transition libservlet2.5-java -> libservlet3.0-java.

Available diffs

Superseded in raring-release on 2013-02-05
Obsolete in quantal-release on 2015-04-24
axis (1.4-16ubuntu1) quantal; urgency=low

  * Transition libservlet2.5-java -> libservlet3.0-java.
 -- James Page <email address hidden>   Thu, 12 Jul 2012 14:22:03 +0100

Available diffs

Superseded in quantal-release on 2012-07-12
axis (1.4-16build1) quantal; urgency=low

  * No-change rebuild with openjdk-7 as default-jdk.
 -- James Page <email address hidden>   Fri, 18 May 2012 11:34:21 +0100

Available diffs

Superseded in quantal-release on 2012-05-18
Published in precise-release on 2011-11-21
axis (1.4-16) unstable; urgency=low

  * Add missing dependency on libcommons-httpclient-java
  * Update Export-Package OSGi attribute in manifest
  * Add Require-Bundle OSGi attributes

Available diffs

Superseded in precise-release on 2011-11-21
Obsolete in oneiric-release on 2015-04-24
axis (1.4-13) unstable; urgency=low

  [ tony mancill ]
  * libaxis-java-gcj:  Remove incorrect libservlet2.4 depedency;
    the dependency on libaxis-java is sufficient.
    Thanks to Matthias Klose. (Closes: #597950)

  [ Damien Raude-Morvan ]
  * d/control: Bump Standards-Versions to 3.9.1 (no changes required).
  * d/control: Change short synopsis of packages.
  * Finaly upload to unstable.
 -- Matthias Klose <email address hidden>   Wed,  04 May 2011 09:35:06 +0000

Available diffs

Superseded in oneiric-release on 2011-05-04
Obsolete in natty-release on 2013-06-04
Obsolete in maverick-release on 2013-03-05
axis (1.4-12ubuntu2) maverick; urgency=low

  * libaxis-java-gcj: Just remove the libservlet2.5-java-gcj dependency.
 -- Matthias Klose <email address hidden>   Fri, 24 Sep 2010 15:31:37 +0200

Available diffs

Superseded in maverick-release on 2010-09-24
axis (1.4-12) unstable; urgency=low

  [ Niels Thykier ]
  * Bumped Standards-Versions to 3.9.0 - no changes required.
  * Replaced B-D on default-jdk-builddep with gcj-native-helper
    and default-jdk.

  [ Damien Raude-Morvan ]
  * Downgrade libaxis-java-gcj from Recommends to Suggest (Closes: #582151).
  * Remove Depends on JRE since Axis is a library.
 -- Angel Abad <email address hidden>   Thu, 08 Jul 2010 00:06:06 +0200

Available diffs

Superseded in maverick-release on 2010-08-06
axis (1.4-11) unstable; urgency=low

  * Merge changes from Ubuntu:
    - debian/control, debian/rules: (Build-)Depend on libservlet2.5-java
      instead of libservlet2.4-java (LP: #534913)
  * Remove Stephan and Vladimír from Uploaders list.

Available diffs

Superseded in maverick-release on 2010-06-03
Obsolete in lucid-release on 2016-10-26
axis (1.4-6ubuntu1) lucid; urgency=low

  * debian/control, debian/rules: (Build-)Depend on libservlet2.5-java instead
    of libservlet2.4-java (LP: #534913)
  * debian/rules: Drop extra JAVA_HOME entry, build with default-jdk
 -- Thierry Carrez <email address hidden>   Tue, 09 Mar 2010 09:39:09 +0100
Superseded in lucid-release on 2010-03-09
axis (1.4-6build1) lucid; urgency=low

  * rebuild rest of main for armel armv7/thumb2 optimization;
    UbuntuSpec:mobile-lucid-arm-gcc-v7-thumb2
 -- Alexander Sack <email address hidden>   Fri, 05 Mar 2010 03:10:03 +0100

Available diffs

Superseded in lucid-release on 2010-03-06
Obsolete in karmic-release on 2013-03-04
Superseded in karmic-release on 2009-08-26
axis (1.4-6) unstable; urgency=low

  [ Matthias Klose ]
  * axis: Depend on default-jre-headless.
  * Build using java-gcj (axis is not 1.6 source compatible).

  [ Torsten Werner ]
  * Add patch for gcj-4.4: do not build function clearCache() which is not
    used anyway. (Closes: #531995)
  * Add myself to Uploaders.
  * Do no longer quote the full text of the Apache license.
  * Fix lintian warnings.
  * Move package to Section: java.
  * Update Standards-Version: 3.8.2 (no changes).
  * Add missing Depends: ${misc:Depends}.

 -- Bhavani Shankar <email address hidden>   Mon,  27 Jul 2009 16:30:17 +0100

Available diffs

Superseded in karmic-release on 2009-07-27
Superseded in karmic-release on 2009-04-29
Obsolete in jaunty-release on 2013-02-28
Obsolete in intrepid-release on 2013-02-20
axis (1.4-5ubuntu1) intrepid; urgency=low

  * axis: Depend on default-jre-headless.
  * Build using java-gcj (axis is not 1.6 source compatible).
  * Set Ubuntu maintainer address.

 -- Matthias Klose <email address hidden>   Thu, 31 Jul 2008 10:43:45 +0000

Available diffs

Superseded in intrepid-release on 2008-07-31
axis (1.4-5) unstable; urgency=low

  * Added missing packages to Depends of libaxis-java.
    Closes: #432582, #432582
  * Build-Depend on default-jdk-builddep instead of java-gcj-compat-dev.
    Closes: #477846
  * Cleaned up debian/copyright.
  * Added watch file.
  * Added Homepage, Vcs-Svn and Vcs-Browser fields.
  * Updated Standards-Version to 3.7.3.

 -- Ubuntu Archive Auto-Sync <email address hidden>   Fri,  02 May 2008 01:53:02 +0100
Superseded in intrepid-release on 2008-05-03
Obsolete in hardy-release on 2015-04-24
Obsolete in gutsy-release on 2011-09-16
axis (1.4-3) unstable; urgency=low

  * Added xmlParserAPIs.jar and xercesImpl.jar to classpath.
    Closes: #432538.

 -- Lionel Porcheron <email address hidden>   Fri,  20 Jul 2007 09:36:00 +0100
Superseded in gutsy-release on 2007-07-20
axis (1.4-2) unstable; urgency=low

  * Upload to unstable.
  * Inlcude javadocs.

Superseded in gutsy-release on 2007-05-29
Superseded in gutsy-release on 2007-04-26
Obsolete in feisty-release on 2009-08-20
axis (1.4-0ubuntu5) feisty; urgency=low

  * Fix build failure for binary arch builds.

 -- Matthias Klose <email address hidden>   Wed, 28 Feb 2007 17:10:36 +0100
Superseded in feisty-release on 2007-03-01
axis (1.4-0ubuntu4) feisty; urgency=low

  * Recommend ant, instead of depending on it.
  * Install axis-ant.jar into usr/share/ant/lib.

 -- Matthias Klose <email address hidden>   Wed, 28 Feb 2007 12:22:49 +0100
Superseded in feisty-release on 2007-02-28
axis (1.4-0ubuntu3) feisty; urgency=low

  * Build a libaxis-java-gcj package.

 -- Matthias Klose <email address hidden>   Wed, 28 Feb 2007 01:06:05 +0100
Superseded in feisty-release on 2007-02-28
axis (1.4-0ubuntu2) feisty; urgency=low

  * Added axis-ant.jar to the binary package

 -- Vladimír Lapáček <email address hidden>   Sat, 20 Jan 2007 11:09:48 +0100
Superseded in feisty-release on 2007-01-20
Obsolete in edgy-release on 2008-06-19
axis (1.4-0ubuntu1) edgy; urgency=low

  * New upstream release.

132 of 32 results